### Function

# Gtk Requisitionnew

#### Declaration [src]

    GtkRequisition*
    gtk_requisition_new (
      void
    )

#### Description [src]

Allocates a new `GtkRequisition`.

The struct is initialized to zero.

#### Return value

Type: `GtkRequisition`

A new empty `GtkRequisition`. The newly allocated `GtkRequisition` should be freed with `gtk_requisition_free()`

The caller of the function takes ownership of the data, and is responsible for freeing it.